
#ifndef KDECONNECTINTERFACES_EXPORT_H
#define KDECONNECTINTERFACES_EXPORT_H

#ifdef KDECONNECTINTERFACES_STATIC_DEFINE
#  define KDECONNECTINTERFACES_EXPORT
#  define KDECONNECTINTERFACES_NO_EXPORT
#else
#  ifndef KDECONNECTINTERFACES_EXPORT
#    ifdef MAKE_KDECONNECTINTERFACES_LIB
        /* We are building this library */
#      define KDECONNECTINTERFACES_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KDECONNECTINTERFACES_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KDECONNECTINTERFACES_NO_EXPORT
#    define KDECONNECTINTERFACES_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KDECONNECTINTERFACES_DEPRECATED
#  define KDECONNECTINTERFACES_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KDECONNECTINTERFACES_DEPRECATED_EXPORT
#  define KDECONNECTINTERFACES_DEPRECATED_EXPORT KDECONNECTINTERFACES_EXPORT KDECONNECTINTERFACES_DEPRECATED
#endif

#ifndef KDECONNECTINTERFACES_DEPRECATED_NO_EXPORT
#  define KDECONNECTINTERFACES_DEPRECATED_NO_EXPORT KDECONNECTINTERFACES_NO_EXPORT KDECONNECTINTERFACES_DEPRECATED
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define KDECONNECTINTERFACES_NO_DEPRECATED
#endif

#endif
